#include <iostream>
using namespace std;

// Funo que Insere N na posio POS da lista V
void inserir (int v[], int n, int &pos, int max) {
    if (pos >= max) cout << "ERRO: Lista cheia!" << endl;
    else {
        v[pos] = n;
        pos++;
    }
}

// Funo que imprime os valores de uma lista
void listar (int v[], int quantidade) {
    int i;
    for (i=0; i<quantidade; i++) {
        cout << v[i] << endl;
    }
}

// Funo que busca pela posio de um valor na lista
int buscar (int v[], int quantidade, int n) {
    int i;
    for (i=0; i<quantidade; i++) {
        if (v[i] == n) return i;
    }
    return -1;
}

// Remove o primeiro elemento encontrado na lista com um dado valor
void remover (int v[], int &quantidade, int n) {
    int pos;
    if (quantidade == 0) cout << "ERRO: Lista Vazia!" << endl;
    else {
        pos = buscar(v, quantidade, n);
        if (pos < 0) cout << "ERRO: Elemento inexistente!" << endl;
        else {
            v[pos] = v[quantidade-1];
            quantidade--;
        }
    }
}

// Programa Principal
int main(void) {
    // Declarao da lista de notas
    int lista[50];
    int quantidade = 0; // J cria com zero elementos

    // Valor a ser lido
    int n;
    // Posio do item encontrado
    int pos;

    // Leitura de N valores, parando quando for negativo
    do {
        cout << "Digite valor (negativo termina): ";
        cin >> n;
        if (n >= 0) inserir (lista, n, quantidade, 50);
    } while(n >= 0);

    // Imprime a lista
    listar(lista, quantidade);

}

