#include <iostream>
using namespace std;

struct Aluno {
	int	matricula;
	float media;
};

// Funo que Insere N na posio POS da lista V
void inserir (Aluno v[], Aluno n, int &pos, int max) {
    if (pos >= max) cout << "ERRO: Lista cheia!" << endl;
    else {
        v[pos].matricula = n.matricula;
        v[pos].media = n.media;
        pos++;
    }
}

// Funo que imprime os valores de um vetor
void listar (Aluno v[], int quantidade) {
    int i;
    for (i=0; i<quantidade; i++) {
        cout << "Matricula: " << v[i].matricula << endl;
        cout << "Media: " << v[i].media << endl;
		cout << "-----" << endl;
    }
}

int buscar (Aluno v[], int quantidade, int mat) {
    int i;
    for (i=0; i<quantidade; i++) {
        if (v[i].matricula == mat) return i;
    }
    return -1;
}

void remover (Aluno v[], int &quantidade, int mat) {
    int pos;
    if (quantidade == 0) cout << "ERRO: Lista Vazia!" << endl;
    else {
        pos = buscar(v, quantidade, mat);
        if (pos < 0) cout << "ERRO: Elemento inexistente!" << endl;
        else {
            v[pos] = v[quantidade-1];
            quantidade--;
        }
    }
}


// Programa Principal
int main(void) {
    // Declarao da lista de alunos
	struct Aluno alunos[50];
    int quantidade;
    // Aluno temporrio a ser inserido na lista
    struct Aluno alunoTemp;
	// Matrcula a buscar na lista
	int mat;
    // Posio do resultado
    int pos;

    // Inicializa a Lista: contm, inicialmente, zero elementos
    quantidade = 0;

    // Leitura de N dado
    do {
        cout << "Digite a matricula: ";
        cin >> alunoTemp.matricula;
        if (alunoTemp.matricula != 0) {
            cout << "Digite a media: ";
            cin >> alunoTemp.media;
            inserir (alunos, alunoTemp, quantidade, 50);
        }
    } while(alunoTemp.matricula != 0);

    // Imprime a lista
    listar(alunos, quantidade);

    // Busca valor
    cout << "Digite matricula a buscar na lista: ";
    cin >> mat;
    pos = buscar(alunos, quantidade, mat);
    if (pos >= 0) cout << "Encontrado em pos= " << pos << endl;
    else cout << "Aluno nao encontrado na lista!";

    // Revover um aluno
    cout << "Digite matricula do aluno a remover da lista: ";
    cin >> mat;
    remover(alunos, quantidade, mat);

    // Imprime a lista
    listar(alunos, quantidade);
}
