#include <iostream>
using namespace std;

// Funo que Insere N na posio POS da lista V
void inserir (long v[], long n, int &pos, int max) {
    if (pos >= max) cout << "ERRO: Lista cheia!" << endl;
    else {
        v[pos] = n;
        pos++;
    }
}

// Funo que imprime os valores de uma lista
void listar (long v[], int quantidade) {
    int i;
    for (i=0; i<quantidade; i++) {
        cout << v[i] << endl;
    }
}

// Funo que busca pela posio de um valor na lista
int buscar (long v[], int quantidade, long n) {
    int i;
    for (i=0; i<quantidade; i++) {
        if (v[i] == n) return i;
    }
    return -1;
}

// Remove o primeiro elemento encontrado na lista com um dado valor
void remover (long v[], int &quantidade, long n) {
    int pos;
    if (quantidade == 0) cout << "ERRO: Lista Vazia!" << endl;
    else {
        pos = buscar(v, quantidade, n);
        if (pos < 0) cout << "ERRO: Elemento inexistente!" << endl;
        else {
            v[pos] = v[quantidade-1];
            quantidade--;
        }
    }
}

// Insere um nmero na lista, mas no permite repetio
void inserirSemRepetir(long v[], long valor, int &pos, int max) {
    int posicaoAtual;
    posicaoAtual = buscar(v, pos, valor);
    // Tenta inserisr se o elemento no foi encontrado
    if (posicaoAtual < 0) inserir(v,valor,pos, max);
    else cout << "Valor ja existe na lista!" << endl;
}


// Programa Principal
int main(void) {
    // Declarao da lista de notas
    long lista[50];
    int quantidade = 0; // J cria com zero elementos

    // Valor a ser lido
    long n;
    // Posio do item encontrado
    int pos;

    // Leitura de N valores, parando quando for negativo
    do {
        cout << "Digite telefone (0 termina): ";
        cin >> n;
        if (n >= 10000000) inserirSemRepetir (lista, n, quantidade, 50);
    } while(n >= 10000000);

    // Imprime a lista
    listar(lista, quantidade);

}

