#include <iostream>
using namespace std;

// Funo que Insere N na posio POS da lista V
void inserir (float v[], float n, int &pos, int max) {
    if (pos >= max) cout << "ERRO: Lista cheia!" << endl;
    else {
        v[pos] = n;
        pos++;
    }
}

// Funo que imprime os valores de uma lista
void listar (float v[], int quantidade) {
    int i;
    for (i=0; i<quantidade; i++) {
        cout << v[i] << endl;
    }
}

// Funo que busca pela posio de um valor na lista
int buscar (float v[], int quantidade, int n) {
    int i;
    for (i=0; i<quantidade; i++) {
        if (v[i] == n) return i;
    }
    return -1;
}

// Programa Principal
int main(void) {
    // Declarao da lista de notas
    float notas[10];
    int quantidade;

    // Valor a ser lido
    float n;
    // Posio do item encontrado
    int pos;

    // Inicializa a Lista: contm, inicialmente, zero elementos
    quantidade = 0;

    // Leitura de N valores, parando quando for zero
    do {
        cout << "Digite valor: ";
        cin >> n;
        if (n != 0) inserir (notas, n, quantidade, 10);
    } while(n != 0);

    // Imprime a lista
    listar(notas, quantidade);

    // Busca valor
    cout << "Digite valor a buscar na lista: ";
    cin >> n;
    pos = buscar(notas, quantidade, n);
    if (pos >= 0) cout << "Encontrado em pos= " << pos << endl;
    else cout << "Valor nao encontrado na lista!";
}

